{
  "name": "praxis",
  "version": "1.0.0",
  "scripts": {
    "clean": "rm -rf dist",
    "copy:static": "cpx \"./{manifest.json,*.html,*.js,*.jpg}\" dist",
    "copy:transformers": "cpx \"./node_modules/@huggingface/transformers/dist/*\" dist/transformers",
    "copy:model_temp": "cpx \"./nli-deberta-v3-small/onnx/model.onnx\" dist/models/nli-deberta-v3-small/onnx/",
    "rename:model": "mv dist/models/nli-deberta-v3-small/onnx/model.onnx dist/models/nli-deberta-v3-small/onnx/model.onnx_quantized.onnx",
    "copy:config_and_tokenizer": "cpx \"./nli-deberta-v3-small/*.json\" dist/models/nli-deberta-v3-small/",
    "build": "npm run clean && npm run copy:static && npm run copy:transformers && npm run copy:config_and_tokenizer && npm run copy:model_temp && npm run rename:model",
    "release": "npm run build && cd dist && bestzip ../praxis-v${npm_package_version}-firefox.zip *"
  },
  "devDependencies": {
    "cpx": "^1.5.0",
    "bestzip": "^2.2.1"
  },
  "dependencies": {
    "@huggingface/transformers": "^3.6.1"
  }
}